#include <iostream>
#include <cmath>
using namespace std;

int main()
{
	long long n, m , x,y, a, b, suma=0;
	cin>>n>>m;
	long long niz[n];
	long long sreca[n];
	long long prijatelji[n];
	long long neprijatelji[n];
	for (long long i = 0 ; i <n; i ++)
	{
		cin>>niz[i];
		
	}
	for (long long p = 0 ; p<n ;p++)
	{
		prijatelji[p]=0;
		neprijatelji[p]=0;
	}
	for (long long j = 0; j<m; j++)
	{
		cin>>x>>y;
		a = niz[x-1];
		b = niz[y-1];
		if ((a>0 and b>0) or (a<0 and b>0 and b>abs(a)) or (b<0 and a>0 and a>abs(b)))
		{
			prijatelji[x-1]=prijatelji[x-1]+1;
			prijatelji[y-1]=prijatelji[y-1]+1;
		}
		else 
		{
			neprijatelji[x-1]=neprijatelji[x-1]+1;
			neprijatelji[y-1]=neprijatelji[y-1]+1;
		}
	
	}
	for (long long t = 0; t<n ; t++)
		{
			sreca[t]= niz[t]*(prijatelji[t]-neprijatelji[t]);
			suma = suma +sreca[t];
		}
	cout<<suma;
	return 0;	
}